Şifre sıfırlama iste
POST
/api/website/customers/password/forgot
const url = 'https://api.petanqueai.com/api/website/customers/password/forgot';const options = { method: 'POST', headers: { 'x-storefront-token': '<x-storefront-token>', 'Content-Type': 'application/json' }, body: '{"email":"hello@example.com","resetUrl":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.petanqueai.com/api/website/customers/password/forgot \ --header 'Content-Type: application/json' \ --header 'x-storefront-token: <x-storefront-token>' \ --data '{ "email": "hello@example.com", "resetUrl": "example" }'Adresin bir hesabı varsa şifre sıfırlama bağlantısı e-postalar. Hangi adreslerin kayıtlı olduğunu öğrenmekte kullanılamaması için her zaman 202 döner.
resetUrl, sitenizde bağlantıyı karşılayan sayfadır (sonuna ?token=… eklenir); kökeni izin verilen kökenleriniz arasında olmalıdır. Bağlantı 1 saat geçerlidir.
Yetkilendirmeler
Bölüm başlığı “Authorizations”İstek gövdesizorunlu
Bölüm başlığı “Request Bodyrequired”object
email
zorunlu
string biçim: email
resetUrl
zorunlu
string
Example generated
{ "email": "hello@example.com", "resetUrl": "example"}object
email
zorunlu
string biçim: email
resetUrl
zorunlu
string
Example generated
email=hello%40example.com&resetUrl=exampleobject
email
zorunlu
string biçim: email
resetUrl
zorunlu
string